@echo off

REM Copyright (c) 2002-2014 TeamDev Ltd. All rights reserved.

set LIB_DIRECTORY=../lib
set JNIW_LIB_DIRECTORY=../../lib
set BIN_DIRECTORY=../../bin

set PATH=%PATH%;%BIN_DIRECTORY%

set CORE_CLASSES=%JNIW_LIB_DIRECTORY%/jniwrap-3.10.jar;%JNIW_LIB_DIRECTORY%/comfyj-2.11.jar;%LIB_DIRECTORY%/winpack-3.10.jar;%JNIW_LIB_DIRECTORY%/slf4j-api-1.5.8.jar;%JNIW_LIB_DIRECTORY%/slf4j-simple-1.5.8.jar;

set CUSTOM_CLASSES=winpackdemo.jar

set SAMPLE_CLASSPATH=%CORE_CLASSES%;%CUSTOM_CLASSES%
set SAMPLE_MAINCLASS=com.jniwrapper.win32.samples.demo.WinPackDemo

start "" javaw.exe -Dsun.java2d.noddraw=true -Djavax.swing.adjustPopupLocationToFit=false -classpath %SAMPLE_CLASSPATH% %SAMPLE_MAINCLASS%

